#ifndef EDAPI_JOURNAL_JOURNAL_H
#define EDAPI_JOURNAL_JOURNAL_H

#include <edapi/error.h>

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

G_DECLARE_FINAL_TYPE(
    EDJournal, ed_journal, ED, JOURNAL, GObject);

#define ED_TYPE_JOURNAL ed_journal_get_type()

EDJournal *ed_journal_new(void);

gchar const *ed_journal_get_location(EDJournal *j);
EDErrorCode ed_journal_set_location(EDJournal *j, gchar const *dir);

G_END_DECLS

#endif
